Calculate Forum

Предупреждение при старте ppp0

#1

В последнее время заметил вот такое предупреждение при старте интернета (через openrc):

* Bringing up interface ppp0
 *   You are using a bash array for pppd_ppp0.
 *   This feature will be removed in the future.
 *   Please see net.example for the correct format for pppd_ppp0.

Погуглив, нашел, что в baselayout-2.0 и выше поменялся формат conf.d/net, там отказались от bash-style синтаксиса и стали использовать вместо скобок одинарные кавычки. В net.example все расписали.

То бишь если раньше в /etc/conf.d/net было так:

 # Настройки интерфейса для DHCP
config_eth0=( "dhcp" )
modules=( "iproute2" )
<..>
pppd_ppp0=( defaultroute debug lock nodeflate require-mschap require-mschap-v2 refuse-eap noauth nobsdcomp )
<..>

то теперь надо так:

 # Настройки интерфейса для DHCP
config_eth0="dhcp"
modules="iproute2"
<..>
pppd_ppp0="defaultroute debug lock nodeflate require-mschap require-mschap-v2 refuse-eap noauth nobsdcomp"
<..>
#2

Спасибо, уже поменяли, кстати в гентушной вике тоже сменили.

Mastodon Mastodon